set_property ASYNC_REG true [get_cells {system_design_i/wrc_1p_kintex7_0/U0/U_WR_CORE/WRPC/U_SOFTPLL/U_Wrapped_Softpll/gen_feedback_dmtds[0].DMTD_FB/gen_straight.clk_i_d0_reg}]
set_property ASYNC_REG true [get_cells {system_design_i/wrc_1p_kintex7_0/U0/U_WR_CORE/WRPC/U_SOFTPLL/U_Wrapped_Softpll/gen_feedback_dmtds[0].DMTD_FB/gen_straight.clk_i_d3_reg}]
set_property ASYNC_REG true [get_cells {system_design_i/wrc_1p_kintex7_0/U0/U_WR_CORE/WRPC/U_SOFTPLL/U_Wrapped_Softpll/gen_ref_dmtds[0].DMTD_REF/gen_straight.clk_i_d0_reg}]
set_property ASYNC_REG true [get_cells {system_design_i/wrc_1p_kintex7_0/U0/U_WR_CORE/WRPC/U_SOFTPLL/U_Wrapped_Softpll/gen_ref_dmtds[0].DMTD_REF/gen_straight.clk_i_d3_reg}]
set_property PACKAGE_PIN Y16 [get_ports {led_col_pl_o[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[3]}]
set_property PACKAGE_PIN W15 [get_ports {led_col_pl_o[3]}]
set_property PACKAGE_PIN Y17 [get_ports led_line_en_pl_o]
set_property PACKAGE_PIN W20 [get_ports led_line_pl_o]
set_property PACKAGE_PIN Y18 [get_ports {led_col_pl_o[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {led_col_pl_o[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports led_line_en_pl_o]
set_property IOSTANDARD LVCMOS25 [get_ports led_line_pl_o]
set_property PACKAGE_PIN K11 [get_ports pb_gp_i]
set_property IOSTANDARD LVCMOS18 [get_ports pb_gp_i]
set_property PACKAGE_PIN Y15 [get_ports {led_col_pl_o[1]}]

set_property PACKAGE_PIN J14 [get_ports eeprom_sda]
set_property PACKAGE_PIN H14 [get_ports eeprom_scl]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_scl]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_sda]
set_property SLEW FAST [get_ports eeprom_scl]
set_property SLEW FAST [get_ports eeprom_sda]

## FMC1 positive (differential)
# 4 lines per pin, all but PACKAGE_PIN can be grouped though
#set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[*]}]
#set_property SLEW SLOW [get_ports {FMC1_LA_P_b[*]}]
set_property PACKAGE_PIN AC14 [get_ports {FMC1_LA_P_b[0]}]
set_property PACKAGE_PIN AB15 [get_ports {FMC1_LA_P_b[1]}]
set_property PACKAGE_PIN Y12 [get_ports {FMC1_LA_P_b[2]}]
set_property PACKAGE_PIN AB12 [get_ports {FMC1_LA_P_b[3]}]
set_property PACKAGE_PIN Y10 [get_ports {FMC1_LA_P_b[4]}]
set_property PACKAGE_PIN W13 [get_ports {FMC1_LA_P_b[5]}]
set_property PACKAGE_PIN AE13 [get_ports {FMC1_LA_P_b[7]}]
set_property PACKAGE_PIN AE10 [get_ports {FMC1_LA_P_b[8]}]
set_property PACKAGE_PIN AE11 [get_ports {FMC1_LA_P_b[9]}]
set_property PACKAGE_PIN AC17 [get_ports {FMC1_LA_P_b[11]}]
set_property PACKAGE_PIN AA15 [get_ports {FMC1_LA_P_b[12]}]
set_property PACKAGE_PIN AF15 [get_ports {FMC1_LA_P_b[13]}]
set_property PACKAGE_PIN AD23 [get_ports {FMC1_LA_P_b[17]}]
set_property PACKAGE_PIN AC21 [get_ports {FMC1_LA_P_b[18]}]
set_property PACKAGE_PIN AE18 [get_ports {FMC1_LA_P_b[19]}]
set_property PACKAGE_PIN AC18 [get_ports {FMC1_LA_P_b[29]}]
set_property PACKAGE_PIN AA20 [get_ports {FMC1_LA_P_b[31]}]
set_property PACKAGE_PIN AB11 [get_ports {FMC1_LA_P_b[6]}]
set_property PACKAGE_PIN AE12 [get_ports {FMC1_LA_P_b[10]}]
set_property PACKAGE_PIN AE16 [get_ports {FMC1_LA_P_b[14]}]
set_property PACKAGE_PIN AE17 [get_ports {FMC1_LA_P_b[15]}]
set_property PACKAGE_PIN AD16 [get_ports {FMC1_LA_P_b[16]}]
set_property PACKAGE_PIN AB26 [get_ports {FMC1_LA_P_b[28]}]
set_property PACKAGE_PIN AA22 [get_ports {FMC1_LA_P_b[32]}]
set_property PACKAGE_PIN AA25 [get_ports {FMC1_LA_P_b[33]}]
## FMC1 negative
#set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[*]}]
#set_property SLEW SLOW [get_ports {FMC1_LA_N_b[*]}]
#set_property PACKAGE_PIN AD14 [get_ports {FMC1_LA_N_b[0]}]
## FMC1 single-ended
set_property PACKAGE_PIN AC26 [get_ports {FMC1_LA_N_b[28]}]
set_property PACKAGE_PIN AC19 [get_ports {FMC1_LA_N_b[29]}]
set_property PACKAGE_PIN AB20 [get_ports {FMC1_LA_N_b[31]}]
set_property PACKAGE_PIN AA23 [get_ports {FMC1_LA_N_b[32]}]
set_property PACKAGE_PIN AB25 [get_ports {FMC1_LA_N_b[33]}]
## FMC1 end

## FMC2 positive (differential)
#set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[*]}]
#set_property SLEW SLOW [get_ports {FMC2_LA_P_b[*]}]
set_property PACKAGE_PIN M6 [get_ports {FMC2_LA_P_b[0]}]
set_property PACKAGE_PIN L5 [get_ports {FMC2_LA_P_b[1]}]
set_property PACKAGE_PIN G4 [get_ports {FMC2_LA_P_b[3]}]
set_property PACKAGE_PIN G2 [get_ports {FMC2_LA_P_b[5]}]
set_property PACKAGE_PIN E2 [get_ports {FMC2_LA_P_b[6]}]
set_property PACKAGE_PIN H4 [get_ports {FMC2_LA_P_b[8]}]
set_property PACKAGE_PIN K2 [get_ports {FMC2_LA_P_b[10]}]
set_property PACKAGE_PIN K6 [get_ports {FMC2_LA_P_b[12]}]
set_property PACKAGE_PIN N3 [get_ports {FMC2_LA_P_b[14]}]
set_property PACKAGE_PIN M8 [get_ports {FMC2_LA_P_b[15]}]
set_property PACKAGE_PIN N1 [get_ports {FMC2_LA_P_b[16]}]
set_property PACKAGE_PIN F8 [get_ports {FMC2_LA_P_b[17]}]
set_property PACKAGE_PIN D6 [get_ports {FMC2_LA_P_b[18]}]
set_property PACKAGE_PIN F9 [get_ports {FMC2_LA_P_b[29]}]
set_property PACKAGE_PIN B5 [get_ports {FMC2_LA_P_b[31]}]
set_property PACKAGE_PIN B10 [get_ports {FMC2_LA_P_b[32]}]
set_property PACKAGE_PIN A9 [get_ports {FMC2_LA_P_b[33]}]
set_property PACKAGE_PIN B6 [get_ports {FMC2_LA_P_b[30]}]
set_property PACKAGE_PIN B2 [get_ports {FMC2_LA_P_b[19]}]
set_property PACKAGE_PIN M2 [get_ports {FMC2_LA_P_b[13]}]
set_property PACKAGE_PIN N4 [get_ports {FMC2_LA_P_b[11]}]
set_property PACKAGE_PIN J1 [get_ports {FMC2_LA_P_b[9]}]
set_property PACKAGE_PIN H2 [get_ports {FMC2_LA_P_b[7]}]
set_property PACKAGE_PIN D1 [get_ports {FMC2_LA_P_b[4]}]
set_property PACKAGE_PIN D4 [get_ports {FMC2_LA_P_b[2]}]
## FMC2 negative
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[33]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[32]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[31]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[30]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[29]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_N_b[28]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[27]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[27]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[26]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[26]}]
set_property PACKAGE_PIN J10 [get_ports {FMC2_LA_P_b[26]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[25]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[25]}]
set_property PACKAGE_PIN J11 [get_ports {FMC2_LA_P_b[25]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[24]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[24]}]
set_property PACKAGE_PIN E6 [get_ports {FMC2_LA_P_b[24]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[23]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[23]}]
set_property PACKAGE_PIN G6 [get_ports {FMC2_LA_P_b[23]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[22]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[22]}]
set_property PACKAGE_PIN H7 [get_ports {FMC2_LA_P_b[22]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[21]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[21]}]
set_property PACKAGE_PIN A4 [get_ports {FMC2_LA_P_b[21]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[20]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[20]}]
set_property PACKAGE_PIN C2 [get_ports {FMC2_LA_P_b[20]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[19]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[19]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[17]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[17]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[18]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[18]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[16]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[16]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[15]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[15]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[14]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[14]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[13]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[13]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[12]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[12]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[11]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[11]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[10]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[10]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[9]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[9]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[8]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[8]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[7]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[7]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[6]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[6]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[5]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[5]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[4]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[4]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[3]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[2]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[2]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[1]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[1]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[0]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_N_b[0]}]
set_property IOSTANDARD LVDS [get_ports {FMC2_LA_P_b[3]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[33]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[32]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[31]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[30]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[29]}]
set_property SLEW SLOW [get_ports {FMC2_LA_N_b[28]}]
# FMC2 single-ended
set_property PACKAGE_PIN A8 [get_ports {FMC2_LA_N_b[33]}]
set_property PACKAGE_PIN A10 [get_ports {FMC2_LA_N_b[32]}]
set_property PACKAGE_PIN B4 [get_ports {FMC2_LA_N_b[31]}]
set_property PACKAGE_PIN A5 [get_ports {FMC2_LA_N_b[30]}]
set_property PACKAGE_PIN E8 [get_ports {FMC2_LA_N_b[29]}]
## FMC2 end

set_property PACKAGE_PIN AD13 [get_ports FMC1_CLK0C2M_N_o]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0C2M_N_o]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0C2M_P_o]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0M2C_N_i]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_CLK0M2C_P_i]
set_property IOSTANDARD LVCMOS25 [get_ports FMC1_PRSNTM2C_n_i]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0C2M_N_o]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0C2M_P_o]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0M2C_N_i]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_PRSNTM2C_n_i]
set_property IOSTANDARD LVCMOS18 [get_ports FMC2_CLK0M2C_P_i]
set_property PACKAGE_PIN AC13 [get_ports FMC1_CLK0C2M_P_o]
set_property PACKAGE_PIN AD11 [get_ports FMC1_CLK0M2C_N_i]
set_property PACKAGE_PIN AC12 [get_ports FMC1_CLK0M2C_P_i]
set_property PACKAGE_PIN AA13 [get_ports FMC1_PRSNTM2C_n_i]
set_property PACKAGE_PIN J3 [get_ports FMC2_CLK0C2M_N_o]
set_property PACKAGE_PIN J4 [get_ports FMC2_CLK0C2M_P_o]
set_property PACKAGE_PIN K3 [get_ports FMC2_CLK0M2C_N_i]
set_property PACKAGE_PIN L3 [get_ports FMC2_CLK0M2C_P_i]
set_property PACKAGE_PIN F3 [get_ports FMC2_PRSNTM2C_n_i]
set_property PACKAGE_PIN AC23 [get_ports osc100_clk_i]
set_property IOSTANDARD LVCMOS25 [get_ports osc100_clk_i]

set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[33]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[32]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[31]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[30]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[29]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_N_b[28]}]
set_property PACKAGE_PIN D8 [get_ports {FMC2_LA_N_b[28]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[33]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[32]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[31]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[30]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[29]}]
set_property IOSTANDARD LVCMOS18 [get_ports {FMC2_LA_P_b[28]}]
set_property PACKAGE_PIN F5 [get_ports {FMC2_LA_P_b[27]}]
set_property PACKAGE_PIN D9 [get_ports {FMC2_LA_P_b[28]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[33]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[32]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[31]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[30]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[29]}]
set_property IOSTANDARD LVCMOS25 [get_ports {FMC1_LA_P_b[28]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[27]}]
set_property PACKAGE_PIN AE23 [get_ports {FMC1_LA_P_b[27]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[26]}]
set_property PACKAGE_PIN AF24 [get_ports {FMC1_LA_P_b[26]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[25]}]
set_property PACKAGE_PIN AE25 [get_ports {FMC1_LA_P_b[25]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[24]}]
set_property PACKAGE_PIN AD25 [get_ports {FMC1_LA_P_b[24]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[23]}]
set_property PACKAGE_PIN AD18 [get_ports {FMC1_LA_P_b[23]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[22]}]
set_property PACKAGE_PIN AF19 [get_ports {FMC1_LA_P_b[22]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[21]}]
set_property PACKAGE_PIN AE22 [get_ports {FMC1_LA_P_b[21]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[20]}]
set_property PACKAGE_PIN W18 [get_ports {FMC1_LA_P_b[20]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[19]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[18]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[16]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[17]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[15]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[14]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[13]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[12]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[11]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[10]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[9]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[8]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[7]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[6]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[5]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[4]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[3]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[2]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {FMC1_LA_P_b[0]}]

set_property PACKAGE_PIN V18 [get_ports dig_in1_i]
set_property IOSTANDARD LVCMOS25 [get_ports dig_in1_i]
set_property PACKAGE_PIN AA18 [get_ports {dig_outs_i[1]}]
set_property IOSTANDARD LVCMOS25 [get_ports {dig_outs_i[1]}]
set_property PACKAGE_PIN AB19 [get_ports {dig_outs_i[2]}]
set_property IOSTANDARD LVCMOS25 [get_ports {dig_outs_i[2]}]
set_property PACKAGE_PIN AA24 [get_ports {dig_outs_i[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {dig_outs_i[0]}]
set_property PACKAGE_PIN AC24 [get_ports {dig_outs_i[3]}]
set_property IOSTANDARD LVCMOS25 [get_ports {dig_outs_i[3]}]
set_property PACKAGE_PIN W14 [get_ports dig_out5_n]
set_property IOSTANDARD LVCMOS25 [get_ports dig_out5_n]
set_property PACKAGE_PIN W17 [get_ports {dig_out6_n[0]}]
set_property IOSTANDARD LVCMOS25 [get_ports {dig_out6_n[0]}]
set_property PACKAGE_PIN W16 [get_ports dig_in2_i]
set_property IOSTANDARD LVCMOS25 [get_ports dig_in2_i]
set_property PACKAGE_PIN AE20 [get_ports dig_in3_n_i]
set_property PACKAGE_PIN AE21 [get_ports dig_in4_n_i]
set_property IOSTANDARD LVCMOS25 [get_ports dig_in3_n_i]
set_property IOSTANDARD LVCMOS25 [get_ports dig_in4_n_i]

set_property PACKAGE_PIN AA19 [get_ports watchdog_pl_o]
set_property IOSTANDARD LVCMOS25 [get_ports watchdog_pl_o]

set_property PACKAGE_PIN P13 [get_ports Vp_Vn_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux0_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux1_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux1_v_p]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux0_v_p]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux2_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux8_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux2_v_p]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux9_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux8_v_p]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux9_v_p]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux10_v_n]
set_property IOSTANDARD LVCMOS18 [get_ports Vaux10_v_p]

set_property PACKAGE_PIN C8 [get_ports clk_25m_vcxo_i]
set_property IOSTANDARD LVCMOS18 [get_ports clk_25m_vcxo_i]
set_property PACKAGE_PIN G14 [get_ports gtp0_rate_select_b]
set_property IOSTANDARD LVCMOS18 [get_ports gtp0_rate_select_b]

set_property PACKAGE_PIN K7 [get_ports dac_cs1_n_o]
set_property PACKAGE_PIN N7 [get_ports dac_cs2_n_o]
set_property PACKAGE_PIN K8 [get_ports dac_din_o]
set_property PACKAGE_PIN N6 [get_ports dac_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports dac_cs1_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports dac_cs2_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports dac_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports dac_din_o]
set_property PACKAGE_PIN U6 [get_ports gtp_dedicated_clk_p_i]
set_property PACKAGE_PIN V4 [get_ports gtp_wr_rxp]
set_property PACKAGE_PIN K10 [get_ports thermo_id]
set_property IOSTANDARD LVCMOS18 [get_ports thermo_id]
set_property PACKAGE_PIN K15 [get_ports gtp_wr_tx_fault]
set_property PACKAGE_PIN G15 [get_ports gtp_wr_tx_disable]
set_property PACKAGE_PIN G16 [get_ports gtp_wr_rx_los]
set_property PACKAGE_PIN J15 [get_ports gtp_wr_mod_abs]
set_property PACKAGE_PIN AB16 [get_ports gtp_wr_scl]
set_property PACKAGE_PIN AB17 [get_ports gtp_wr_sda]
set_property IOSTANDARD LVCMOS25 [get_ports gtp_wr_scl]
set_property IOSTANDARD LVCMOS25 [get_ports gtp_wr_sda]
set_property IOSTANDARD LVCMOS18 [get_ports gtp_wr_tx_disable]
set_property IOSTANDARD LVCMOS18 [get_ports gtp_wr_tx_fault]
set_property IOSTANDARD LVCMOS18 [get_ports gtp_wr_rx_los]
set_property IOSTANDARD LVCMOS18 [get_ports gtp_wr_mod_abs]

set_property PACKAGE_PIN AD20 [get_ports i2c_master_fmcx_scl_io]
set_property PACKAGE_PIN AD21 [get_ports i2c_master_fmcx_sda_io]
set_property IOSTANDARD LVCMOS25 [get_ports i2c_master_fmcx_scl_io]
set_property IOSTANDARD LVCMOS25 [get_ports i2c_master_fmcx_sda_io]

set_property IOSTANDARD LVCMOS25 [get_ports i2c_master_fmc_fp_scl_io]
set_property IOSTANDARD LVCMOS25 [get_ports i2c_master_fmc_fp_sda_io]
set_property PACKAGE_PIN AB21 [get_ports i2c_master_fmc_fp_scl_io]
set_property PACKAGE_PIN AB22 [get_ports i2c_master_fmc_fp_sda_io]
set_property IOSTANDARD LVDS [get_ports {mdio_spi_P[0]}]
set_property PACKAGE_PIN B16 [get_ports {mdio_spi_P[0]}]
